<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Controles</title>

    <style>
      body {
        font-family: "Roboto", sans-serif;
      }

      main {
        display: flex;
        justify-content: stretch;
        padding: 20px;
      }

      .origem {
        color: #e2bd2b;
        font-size: 40px;
        margin: 0;
      }

      #btn1, #btn2, #btn3 {
          background-color: #e2bd2b;
          width: 350px;
          border: none;
          font-size: 2rem;
          padding: 0.5rem;
          border-radius: 5px;
          cursor: pointer;
      }

      #col1, #col2, #col3 {
        margin: 0 0px 0 45px;
      }

      #col1 > form, #col2 > form, #col3 > form{
        width: 350px;
      }

      form > * {
        display: block;
        width: 100%;
        box-sizing: border-box;
        padding: 5px;
      }

      label,
      fieldset {
        margin-top: 10px;
      }

      input[type="image"],
      input[type="submit"],
      input[type="reset"],
      input[type="button"] {
        margin-top: 20px;
        margin-bottom: 10px;
      }

      input[type="image"]{
        width: 200px;
      }

      select {
        margin: 10px 0;
      }

      #submit {
        margin-top: 20px;
        margin-bottom:50px;
      }

      fieldset {
        border: 1px solid;
      }
      datalist{
        display: none;
      }

      meter,
      progress,
      input[type="color"], 
      input[type="range"] {
        height: 50px;
      }
    </style>
  </head>
  <body>
    <main>
      <div id="col1">
        <button id="btn1">Alterar valores</button>
        <h1>Coluna 1</h1>
        <form id="form1" method="post" action="">
          <label for="name">Nome</label>
          <input type="text" id="name" name="name">
          <label for="email">E-mail</label>
          <input type="email" id="email" name="email" multiple>
          <label for="website">Website</label>
          <input type="url" id="website" name="website">
          <label for="number">Número</label>
          <input type="number" name="number" id="number" step="any">
          <label for="birthday">Nascimento</label>
          <input type="date" name="birthday" id="birthday" min="2000-01-01" max="2025-12-31">
          <label for="time">Hora</label>
          <input type="time" name="time" id="time" step="1800">
          <label for="phone">Telefone</label>
          <input type="tel" name="phone" id="phone">
          <fieldset>
            <legend>Selecione uma ou mais cores:</legend>
            <input type="checkbox" name="favcolor" value="blue" id="blue"><label for="blue">Azul</label><br>
            <input type="checkbox" name="favcolor" value="red" id="red" checked><label for="red">Vermelha</label><br>
            <input type="checkbox" name="favcolor" value="green" id="green"><label for="green">Verde</label><br>
          </fieldset>
          <fieldset>
            <legend>Qual é a sua refeição favorita?</legend>
            <input type="radio" id="soup" name="meal" value="soup" checked>
            <label for="soup">Sopa</label><br>
            <input type="radio" id="curry" name="meal" value="curry">
            <label for="curry">Carne</label><br>
            <input type="radio" id="pizza" name="meal" value="pizza">
            <label for="pizza">Pizza</label><br>
          </fieldset>
          <label for="fuel">Nível de combustível (meter)</label>
          <meter id="fuel"
                min="0" max="100"
                low="33" high="66" optimum="80"
                value="90">
          </meter>
          <label for="file">Barra de progresso (progress)</label>
          <progress id="file" max="100" value="70"> 70% </progress>
          <label for="pizza">Qual sua pizza favorita? (select)</label>
          <select name="pizza1" id="pizza1">
              <option value="cogumelos">Cogumelos</option>
              <option value="cebolas">Cebolas</option>
              <option value="calabresa">Calabresa</option>
              <option value="bacon">Bacon</option>
          </select>
          <select name="pizza2" id="pizza2">
            <optgroup label="Vegetais">
              <option value="cogumelos">Cogumelos</option>
              <option value="cebolas">Cebolas</option>
            </optgroup>
            <optgroup label="Carnes">
              <option value="calabresa">Calabresa</option>
              <option value="bacon">Bacon</option>
            </optgroup>
          </select>
          <label for="ice-cream-choice">Escolha um sabor (datalist):</label>
          <input list="ice-cream-flavors" id="ice-cream-choice" name="ice-cream-choice" />
          <datalist id="ice-cream-flavors">
            <option value="Chocolate">
            <option value="Coco">
            <option value="Hortelã">
            <option value="Morango">
            <option value="Baunilha">
          </datalist>
          <label for="poem">Escreva um poema</label>
          <textarea id="poem" rows="10" name="poem"></textarea>
          <label for="color">Selecione uma cor</label>
          <input type="color" name="color" id="color">
          <label for="resume">Carregar arquivo</label>
          <input type="file" name="resume" id="resume" accept="image/*">
          <label for="password">Senha</label>
          <input type="password" name="password" id="password">
          <input type="hidden" value="1234" name="tracking">
          <input type="range" min="1" max="10" step="1">
          <label for="search">Busca</label>
          <input type="search" name="search" id="search">
          <input type="reset" value="Limpar">      
          <input type="button" value="Input Button">
          <input type="image" alt="Clique-me!" src="myfood.png">          
          <input type="submit" value="Input Submit">
          <button type="submit" id="submit">Button <strong>Submit</strong></button>
        </form>
      </div>
      <div id="col2"> 
        <button id="btn2">Copiar controles</button>
        <h1>Coluna 2</h1>
        <form id="form2" method="post" action="">

        </form>
      </div>
      <div id="col3"> 
        <button id="btn3">Criar controles</button>
        <h1>Coluna 3</h1>
        <form id="form3" method="post" action=""></form>
      </div>
    </main>
    <script>
      const btn1 = document.getElementById("btn1");
      btn1.addEventListener("click", ()=>{
        //alert("Clicado no btn alterar componentes!");
        
        const inputName = document.getElementById("name");
        inputName.value = "Valor alterado!";

      })

      const btn2 = document.getElementById("btn2");
      btn2.addEventListener("click", ()=>{
        //alert("Clicado no btn copiar valores!");

        const inputName = document.getElementById("name");
        const labelName = inputName.previousElementSibling;

        const form2 = document.getElementById("form2");
        form2.innerHTML = "";

        form2.appendChild(labelName.cloneNode(true));
        form2.appendChild(inputName.cloneNode(true));


      })

      const btn3 = document.getElementById("btn3");
      btn3.addEventListener("click", ()=>{
        //alert("Clicado no btn criar componentes!");

        const form3 = document.getElementById("form3");
        form3.innerHTML = "";

        const lblName = document.createElement("label");
        lblName.textContent = "Label nome criada";

        form3.appendChild(lblName);

        const inputName = document.createElement("input");
        form3.appendChild(inputName);

      })


    </script>

  </body>
</html></body></html>

